> For the complete documentation index, see [llms.txt](https://docs.rhinofcp.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rhinofcp.com/datasets/example-1-defining-a-dataset-with-dicom-data.md).

# Example 1: Defining a Dataset with DICOM Data

Explains how to define a dataset with DICOM Data.

## The Data Schema

The Data Schema can be uploaded as a CSV to the Rhino Web UI or added directly to the Rhino Web UI through the built-in Data Schema editor. For this example, we will create this Dataset within the UI and name it Stroke Schema.

| Field Name               | StudyInstanceUID  | SpO2              | Stroke Present    | Number of Points  | Gender                        |
| ------------------------ | ----------------- | ----------------- | ----------------- | ----------------- | ----------------------------- |
| **Identifier**           |                   |                   |                   | (5000, 0010)      |                               |
| **Description**          |                   |                   |                   |                   |                               |
| **Type**                 | DicomStudyUID     | Percent           | Boolean           | DicomTag          | Enum                          |
| **Type Parameters**      |                   |                   |                   |                   | {"choices": \["m", "f", "o"]} |
| **Sensitive Data**       | No                | No                | No                | No                | No                            |
| **Aggregate Statistics** | Allowed (Enabled) | Allowed (Enabled) | Allowed (Enabled) | Allowed (Enabled) | Allowed (Enabled)             |
| **Secure Access**        | Allowed (Enabled) | Allowed (Enabled) | Allowed (Enabled) | Allowed (Enabled) | Allowed (Enabled)             |

## The Dataset's Tabular Data

The tabular data CSV file is prepared within the institutional firewall from data in clinical systems and then copied via SFTP to the Rhino Client.

| StudyInstanceUID                                      | Gender | SpO2 | Stroke Present? |
| ----------------------------------------------------- | ------ | ---- | --------------- |
| 1.3.12.2.1107.5.4.3.11540117440512.19970422.140030.45 | m      | 0.97 | True            |
| 1.3.12.2.1107.5.4.3.123456789012345.19950922.121803.6 | m      | 0.98 | False           |
| 1.3.12.2.1107.5.4.3.4975316777216.19951114.94101.16   | f      | 0.95 | True            |
| ...                                                   | ...    | ...  | ...             |

For this example: Let’s say this tabular CSV file was copied via SFTP to the following location on your Rhino Client: `/rhino_data/uploads/stroke/dataset1.csv`

## The Dataset's DICOM Data

All DICOM files associated with the studies in the tabular data file are queried from the PACS, de-identified, and then copied via SFTP to the Rhino Client.

The Rhino Client doesn’t require or expect any specific file structure, so all `.dcm` files can be put under the same directory, under sub-directories (e.g., for each study or series), or a mix of the two.

For this example, let's say we place our DICOM data in the following locations on our Rhino Client:

* `/rhino_data/uploads/dicom_data/`

`1.3.12.2.1107.5.4.3.11540117440512.19970422.140030.46.dcm`

* `/rhino_data/uploads/dicom_data/another.dcm`
* `/rhino_data/uploads/dicom_data/1.dcm`
* `/rhino_data/uploads/dicom_data/study1/1.dcm`
* `/rhino_data/uploads/dicom_data/study1/2.dcm`
* `/rhino_data/uploads/dicom_data/study2/1.dcm`

## The Dataset's File Data

No file data exists in this Dataset

## Importing the Dataset into the FCP

1. **Name:** Example 1 Dataset
2. **Description:** Example 1 Dataset
3. **Data** ***Schema*** **:** Stroke *Schema* v0
4. ***Tabular Data File Path*** **:** `/rhino_data/uploads/stroke/dataset1.csv`
5. ***DICOM Data Path*** **:**
   * **Import Method:** Filesystem
   * **Path:** `/rhino_data/uploads/dicom_data`
6. ***File Data Path*** **:** `/rhino_data/` (Default Value: Do not change)
7. **Is Data De-identified?:** Yes


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.rhinofcp.com/datasets/example-1-defining-a-dataset-with-dicom-data.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
